ALTER TABLE grm_2po_4pgr 
   ADD COLUMN loop_order int,
   ADD COLUMN loop_count int;
  
UPDATE grm_2po_4pgr as g 
   SET loop_order = r.ord,
       loop_count = r.cnt
FROM 
 (SELECT s.id,
--    s.geom_way,
--    a.idn,
    a.cnt,
    ROW_NUMBER() OVER(PARTITION BY idn ORDER BY km asc) ord
   FROM grm_2po_4pgr s
     JOIN LATERAL ( SELECT (i.source || '-'::text) || i.target AS idn,
            i.source,
            i.target,
            count(*) AS cnt
           FROM grm_2po_4pgr i
		   WHERE  reverse_time > 0 OR  time > 0
          GROUP BY ((i.source || '-'::text) || i.target), i.source, i.target) a ON true
  WHERE a.cnt > 1 AND s.target = a.target AND s.source = a.source
  order by idn, km asc ) r
WHERE 
 g.id = r.id;

--UPDATE 29852
--Query returned successfully in 1 min 19 secs.
