-- insertinta lentele neveikia su pg_routingu, nes nusimuse stulpeliu tipai
-- reikia atnaujinti stulpeliu tipus...

ALTER TABLE public.germany_osm DROP CONSTRAINT germany_osm_pk;
ALTER TABLE public.germany_osm DROP COLUMN ogc_fid;
ALTER TABLE public.germany_osm
    ALTER COLUMN id TYPE integer;
ALTER TABLE public.germany_osm
    ALTER COLUMN source TYPE integer;
ALTER TABLE public.germany_osm
    ALTER COLUMN target TYPE integer;


CREATE INDEX idx_germany_osm_id
    ON public.germany_osm USING btree
    (id ASC NULLS LAST)
    TABLESPACE pg_default;

CREATE INDEX idx_germany_osm_source
    ON public.germany_osm USING btree
    (source ASC NULLS LAST)
    TABLESPACE pg_default;

CREATE INDEX idx_germany_osm_target
    ON public.germany_osm USING btree
    (target ASC NULLS LAST)
    TABLESPACE pg_default;

CREATE INDEX idx_germany_osm_geometry
    ON public.germany_osm USING gist
    (wkb_geometry)
    TABLESPACE pg_default;

--- papildomi fixsai

ALTER TABLE public.germany_osm
    ALTER COLUMN osm_id TYPE bigint;

ALTER TABLE public.germany_osm
    ALTER COLUMN osm_source_id TYPE bigint;

ALTER TABLE public.germany_osm
    ALTER COLUMN osm_target_id TYPE bigint;

ALTER TABLE public.germany_osm
    ALTER COLUMN clazz TYPE integer;

ALTER TABLE public.germany_osm
    ALTER COLUMN flags TYPE integer;

ALTER TABLE public.germany_osm
    ALTER COLUMN kmh TYPE integer;