CREATE INDEX idx_grm_2po_4pgr_geom_way on grm_2po_4pgr USING GIST(geom_way);
CREATE INDEX idx_grm_2po_vertex on grm_2po_vertex USING GIST(geom_vertex);


CREATE OR REPLACE VIEW grm_routing
AS 
SELECT id As gid, osm_id, osm_name, osm_meta, osm_source_id, osm_target_id, 
       clazz, flags, source, target, km, kmh, cost, cost as length, reverse_cost, x1, 
       y1, x2, y2, geom_way As the_geom
  FROM grm_2po_4pgr;



-- test
SELECT r.id, s.gid, s.osm_name,s.cost, s.km, s.kmh , r.the_geom
  FROM astar_sp_delta('ger_routing',
               131904, 17500, 0.1) As r INNER JOIN 
        ger_routing AS s ON r.gid =  s.gid;
