CREATE OR REPLACE FUNCTION allWaitingTimes(chStation INTEGER)
RETURNS text
AS
$BODY$
DECLARE
  textInfo text := '';
  startTime TIMESTAMP := '2020-02-24 00:10';
  wTime INTEGER[];
  w1 INTEGER;
  w2 INTEGER;
  shift VARCHAR := ' hour';
  fullShift VARCHAR;
BEGIN

  FOR i IN 0..23 LOOP
  fullShift := i || shift;
  SELECT waitingTime (chStation, startTime+ fullShift::interval, 2)
  INTO wTime;
  --RAISE NOTICE 'Interval: %-%', wTime[1], wTime[2];
  textInfo := textInfo||wTime[1]||' '||wTime[2]||' ';
  END LOOP;

    

 RETURN textInfo;
END
$BODY$
LANGUAGE plpgsql;
