
wget "https://api.openchargemap.io/v3/poi/?output=json&countrycode=DE&maxresults=20000&compact=true&verbose=false" -O de_chstat.json

# create no array preprocessed without addres url
jq --compact-output '.[] | { IsRecentlyVerified: .IsRecentlyVerified, DateLastVerified: .DateLastVerified, ID: .ID, UUID: .UUID, DataProviderID: .DataProviderID, OperatorID: .OperatorID, UsageTypeID: .UsageTypeID, AddrID: .AddressInfo.ID, AddrLatitude: .AddressInfo.Latitude, AddrLongitude: .AddressInfo.Longitude, Connections: .Connections, ConnectionsPowerKWTotal: ([.Connections[] | (.PowerKW // 0) * (.Quantity // 1)] | add ) , NumberOfPoints: .NumberOfPoints, StatusTypeID: .StatusTypeID, DateLastStatusUpdate: .DateLastStatusUpdate, DataQualityLevel: .DataQualityLevel, DateCreated: .DateCreated, SubmissionStatusTypeID: .SubmissionStatusTypeID }' .\de_chstat.json >> .\de_chstat_flat.json

# json CONVERT FILE TO UTF-8 !!!!

psql -U postgres -W -d postgis_30_sample -p 5430 -f import_to_db.sql


	