
ALTER TABLE grm_2po_4pgr 
   ADD COLUMN source_deg float,
   ADD COLUMN target_deg float,
   ADD COlUMN edge_radius float;

-- radius = SPEED2DIST(v) / fabs(angleDiff);
--  Check if radius is in the interval [0.0001 - 10000] (per one sec!!!)

UPDATE grm_2po_4pgr as g 
   SET source_deg = r.source_deg,  
       target_deg = r.target_deg,
       edge_radius = radius
FROM 
 (select case abs(target_rad - source_rad) when 0 then null
                  else LEAST(GREATEST( km*1000/abs(target_rad - source_rad), 0.0001), 10000 * GREATEST(COALESCE(time, reverse_time, 1),1))  
	 end as radius, degrees(source_rad) as source_deg, degrees(target_rad) as target_deg, d.id
  from
   (select id, ST_Azimuth(ST_LineInterpolatePoint(ST_LineMerge(geom_way), 0), ST_LineInterpolatePoint(ST_LineMerge(geom_way), 0.2)) as source_rad, 
               ST_Azimuth(ST_LineInterpolatePoint(ST_LineMerge(geom_way), 0.80), ST_LineInterpolatePoint(ST_LineMerge(geom_way), 1)) as target_rad
    from grm_2po_4pgr) d 
  LEFT JOIN LATERAL
   (select * from grm_2po_4pgr where d.id = id) n ON TRUE 
 ) r
WHERE 
 g.id = r.id;

--UPDATE 5035076 Query returned successfully in 40 min 33 secs.