#include <iostream>
#include<array>
#include <pqxx/pqxx> 
//#include "daltra_db.h"
using namespace std;
using namespace pqxx;


array<int, 2> getRange2wait2charge(basic_string &chStatationID, basic_string &datetime, basic_string &planID){
  basic_string sql = "SELECT";
   
   try {
      connection C("dbname = daltra user= daltra password = daltra4daltra \
      hostaddr = 127.0.0.1 port = 5432");
      if (C.is_open()) {
         cout << "Opened database successfully: " << C.dbname() << endl;
      } else {
         cout << "Can't open database" << endl;
         return 1;
      }

      /* Create SQL statement */
      sql = "select waitingTime (89860, '2020-02-17 02:10', 2);";

      /* Create a non-transactional object. */
      nontransaction N(C);
      
      /* Execute SQL query */
      result R( N.exec( sql ));
      
      /* List down all the records */
      for (result::const_iterator c = R.begin(); c != R.end(); ++c) {
         cout << "ID = " << c[0].as<int>() << endl;
         cout << "Name = " << c[1].as<string>() << endl;
         cout << "Age = " << c[2].as<int>() << endl;
         cout << "Address = " << c[3].as<string>() << endl;
         cout << "Salary = " << c[4].as<float>() << endl;
      }
      cout << "Operation done successfully" << endl;
      C.disconnect ();
   } catch (const std::exception &e) {
      cerr << e.what() << std::endl;
      return null;
   }

}


int main(int argc, char* argv[]) {

  array<int, 2> rez = getRange2wait2charge("","","");  

   return 0;
}
